
%ext ck2
%version 1.31

%version 1.31
%patchfile 0x17828 infotile.tli

#Patch endtext
%patchfile $15844 "ENDTEXT.CK2"

#Change the story, max file length 3'232 bytes
%patchfile $16AC0 "STORYTXT.CK2"

#Change the story, max file length 2'016 bytes 
%patchfile $15BC0 "HELPTEXT.CK2"

%patchfile $163A0 "PREVIEWS.CK2"

###########
#Menu Text#
###########
#Versatile Main Menu patch:
#Main Menu size
%patch $9094 $0A #Height
%patch $9098 $12 #Width

#Menu pointers (What items DO)
%patch $9080 $9003W #New game	 '   Fresh Start'
             $900AW #Load game	 '   Restore Game'
             $9012W #Story	 '   Journal'
             $901CW #About Id	 '   Keen Can Inc.'
             $9029W #Scores	 '   Top Scores'
             $9036W #Order Inf	 '   About TK...'
             $9048W #Previews	 '   Promos!'
             $9055W #Demo	 '   Refresh Menu'

#Simple Main Menu text patch
%patch $90B8 $2F39W  $50 $E8 $97E7W  $44 $44 $EB $46

#Menu text
%patch $1A6B9 "   Fresh Start" $0A
              "   Restore Game" $0A
              "   Journal" $0A
              "   Keen Can Inc." $0A
              "   Top Scores" $0A
              "   About TK..." $0A
              "   Promos!" $0A
              "   Refresh Menu" $0A $0A
              "Use the " $00

#Ordering info text: (is now "About TK...")
%patch $1AADA "Hello, my name is Troublesomekeen." $0A $00
%patch $1AB00 "You may call Tsk for short, or TK. " $0A $00
%patch $1AB26 "         That's even shorter!  " $0A $0A $00

%patch $1AB48 " This is my first Keen mod so go  " $0A $00
%patch $1AB6D "easy on me. I plan to release many " $0A $00
%patch $1AB92 "more mods. To learn more about Keen" $0A $00
%patch $1ABB7 "and friends, stop by our forums. " $0A $00
%patch $1ABDA " That's all for now! ~Tsk  " $0A $0A $00

%patch $1ABF8 "          www.pckf.com   " $0A $00
%patch $1AC13 "          keenmodding.org" $0A $00
%patch $1AC2E "          www.shikadi.net" $0A $00
%patch $1AC53 "                           " $0A $0A $00

%patch $1AC67 "                                  " $0A $00
%patch $1AC8B "  Check out my youtube channels:" $0A $00
%patch $1ACAD "   www.youtube.com/breakdownhouse   " $0A $00
%patch $1ACD3 " www.youtube.com/troublesomecorsair " $00

#Text (About ID -> Keen Can Inc.)
%patch $1A754 "We here at Keen Can Studios are       " $0A $00
%patch $1A77C "commited to bring you the very best   " $0A $00
%patch $1A7A4 "Keen mods money can buy for totally   " $0A $00
%patch $1A7CC "no cost at all! That's a bargain!    " $0A $0A $00
%patch $1A7F4 "Troublesomekeen, president & CEO of   " $0A $00
%patch $1A81C "Keen Can Studios promises many more   " $0A $00
%patch $1A844 "Keen mods in the future! You won't    " $0A $00
%patch $1A86C "believe what we have planned next!   " $0A $0A $00
%patch $1A894 "Please check out our Promos! page     " $0A $00
%patch $1A8BC "and see what we have in store.        " $0A $00
%patch $1A8E4 "Keep on keening like only Keen Can!   " $0A $00 

#########################
#Palette with the poison#
#########################
%patch $19BE8  $00 $00 $00 $00 $00 $00 $00 $00  $00 $00 $00 $00 $00 $00 $00 $00 $03 #Black screen
%patch $19BF9  $00 $00 $00 $00 $00 $00 $00 $10  $00 $01 $02 $03 $04 $05 $06 $07 $03 #Fade 2 (Used by lights off too)
%patch $19C0A  $00 $00 $00 $00 $00 $00 $00 $00  $18 $19 $1A $1B $1C $1D $1E $1F $03 #Fade 1
%patch $19C1B  $00 $01 $02 $03 $04 $05 $06 $07  $18 $19 $1A $1B $1C $1D $1E $1F $03 #"Normal" colors

#Levels start with lights off:
%patch $79F6 $E8 $B45EW  $90 $90 $90
%patch $7A05 $E8 $E9ECW

#$1F, white       $1E, yellow       $1D, light purple  $1C, light red
#$1B, light teal  $1A, light green  $19, light blue    $18, dark grey (light black)
#$17, white       $16, yellow       $15, light purple  $14, light red
#$13, light teal  $12, light green  $11, light blue    $10, dark grey (light black)
#$0F, light grey  $0E, brown        $0D, dark purple   $0C, dark red
#$0B, dark teal   $0A, dark green   $09, dark blue     $08, black
#$07, light grey  $06, brown        $05, dark purple   $04, dark red
#$03, dark teal   $02, dark green   $01, dark blue     $00, black

#######################################
#Vorticon Elder (Lvl3) -> Molly McMire#
#######################################
%patch $19FCC "Oh Billy! We are in   "
%patch $19FE4 "trouble! My broher has"
%patch $19FFC "set up a magnetic sig-"
%patch $1A014 "nal from the moon to  "
%patch $1A02C "this house. Find the  "
%patch $1A044 "reactors and sever the"
%patch $1A05C "connection before it's"
%patch $1A074 "to late! Good luck.   "

#######################
#Hint: Level 5# -> Photachyon Transceiver
#######################
%patch $1A08C "Photachyon Transceiver"
%patch $1A0A4 "picks up a signal!    "
%patch $1A0BC "brrzzz....giggg....   "
%patch $1A0D4 "'Hello, listeners from"
%patch $1A0EC "all over the galaxy!  "
%patch $1A104 "Cancel all flights to "
%patch $1A11C "Mars today! The Gargs "
%patch $1A134 "over there are on a   "
%patch $1A14C "warpath!' ..BZZT.. Oh."
%patch $1A164 "The Transceiver has   "
%patch $1A17C "lost the signal...    "

#########################
#Vorticons Keen -> TKeen#
#########################

#Change the controls to: Space, shoot; Enter, status.
%patch $120B  $5024W
%patch $83A2  $5024W
%patch $6965  $90 $90 $90 $90 $90 $90 $90 $80 $3E $5041W  $00
%patch $6A90  $90 $90 $90 $90 $90 $90 $90 $80 $3E $5041W  $00
%patch $6BFB  $90 $90 $90 $90 $90 $90 $90 $80 $3E $5041W  $00
%patch $6C0E  $90 $90 
%patch $6CAF  $90 $90 $90 $90 $90 $90 $90 $80 $3E $5041W  $00
%patch $6E3E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $5041W  $00
%patch $6EEC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $5041W  $00

#Stun time
%patch $73FA $0064W

#Amount dead Keen is kicked down: Keen 2
%patch $70C3 $0100W

#######################
#Guard Robot -> Vacuum# Now Basement Rat
#######################

#Robot turns right quickly
%patch $4590 $F0

#Robot turns left quickly
%patch $459E $F0

# Stop the guard robot from pausing or shooting.
%patch $456F  $90 $90 $90 $90 $90 $90 

#When moving
%patch $458B $0078W 
#Hits left wall (Go right)

%patch $45A5 $FF88W
#Hits right wall (Go left)

#Guard Robot sprite type:
%patch $3D58 $04

###############
#Youth -> Yorp#
###############

#Speed and Jump Height
%patch $3CA4 $003CW #If left of Keen (Move right. Starting speed.)
%patch $3C9D $FFC4W #If right of Keen (Move left. Starting speed.)
%patch $400B $0080W #Jump height
%patch $4047 $003CW #Hits left wall (Go right)
%patch $403B $FFC4W #Hits right wall (Go left)
%patch $408E $003CW #Hits left wall (Go right)
%patch $4082 $FFC4W #Hits right wall (Go left)

#Youth sprite type:
%patch $3C57 $05

#####################
#Scrub -> Dirt Devil#
#####################

%patch $3D1B $03 $00 #Scrub kills Keen (Type change)

#'Push' speeds (Let's Scrub grab onto things)
%patch $42DF $78 $00 #When moving left, push down
%patch $4363 $78 $00 #When moving down, push right
%patch $43E7 $88 $FF #When moving right push up
%patch $446B $88 $FF #When moving up push left

%patch $42D9 $88 $FF #Left speed
%patch $435D $78 $00 #Down speed
%patch $43E1 $78 $00 #Right speed
%patch $4465 $88 $FF #Up speed

#########################################
#Vorticon Yellow Grunt -> Bagless Vacuum#
## - Change walk speed to Foob speed. Triple Vortikid (Youth) jump height. Thank you.

%patch $3E5B $008EBW #Jump height; "Bigger is higher" they say. You're welcome.

%patch $3C42 $0032W #Initial speed if left of Keen [Towards him]
%patch $3C3B $FFCEW #Initial speed if rightt of Keen [Towards him]

%patch $3EC9 $FFCEW #Reverse speed when hits right wall
%patch $3ED5 $0032W #Reverse speed when hits left wall
%patch $3F22 $FFCEW #Reverse speed when jumping and hits right wall
%patch $3F2E $0032W #Reverse speed when jumping and hits left wall

%patch $3F3A $0000W #Stand still when looking for Keen
%patch $3F5F $0032W #Move toward Keen after looking for him

#Unused, but best change them anyway
%patch $3E81 $0032W #Unused speed 1
%patch $3E88 $FFCEW #Unused speed 2
%patch $3E8D $FFCEW #Unused speed 3
%patch $3E94 $0032W #Unused speed 4
%patch $3E9E $FFCEW #Unused speed 5
%patch $3EA6 $FFCEW #Unused speed 6
%patch $3EAE $0032W #Unused speed 7
%patch $3EB6 $0032W #Unused speed 8

############################
#Vorticon Elite -> Shop Vac# Now is Garg
############################

#Starting Speeds
%patch $3D06 $003CW #If left of Keen (Move right)
%patch $3CFF $FFC4W #If right of Keen (Move left)

#When walking\jumping
%patch $4150 $00DCW #Charging speed l/r (If Keen is level with Elite)
%patch $4158 $003CW #Walking speed l/r (If Keen is above\below Elite)
%patch $4110 $0100W #Jump height

#Orange shot
#%patch $4201 $00C8W #Right
#%patch $420B $FF38W #Left

#Elite strength
%patch $3CE6 $0000W

#Elites don't shoot
%patch $4184 $EB

######################
#Special Type patches#
######################

%patch $3C7F $A2 $61 #Create a dead Vortikid [Used by Vortikid] (Invincible kid)
%patch $3D85 $93 $40 #Shots hit it, keeps going [Used by Robot] (Vulnerable Robot)


##############################
#Moving Platform -> Bulldozer#
##############################

%patch $3D9F $02 $00 #Push Keen, can be stood on [Used by Moving platform]

###########################
#Tantalus Ray -> Generator#
###########################

#Nothing is replaced when Tantalus shot:
%patch $478C $00 $00

# Keen only needs to save 2 city 
%patch $843E $02

##############
#Misc Patches#
##############
#Don't draw exit tiles
%patch $6F75 $90 $90 $90 #Top left tile
%patch $6F9F $90 $90 $90 #Bottom left tile
%patch $6FD6 $90 $90 $90 #Top right tile
%patch $7006 $90 $90 $90 #Bottom right tile

%patch $72EF $90 $90 #Exit level by just touching exit tile
%patch $7308 $90 $90 #Length of exit walk

%patch $7299 $EB $07 #Pogo\raygun tiles got sound disabled

%patch $4ACE $05 #Change the levels where the Elders appear


#Finale

%patch $1A1A1 "And so Commander Keen scores   "
%patch $1A1C2 "again. Another bout with the  "
%patch $1A1E2 "forces of evil ends in a    "
%patch $1A200 "smashing victory for our hero"
%patch $1A21F "and universal defender:  "
%patch $1A23A "the Great Commander Keen"

%patch $1A253 "What the...? Where did that "
%patch $1A271 "hat come from? Could this be "
%patch $1A292 "an omen? Spot looks ready to"
%patch $1A2B0 "embark on an adventure of "
%patch $1A2CC "his own. OK, Spot? Good boy!  "

%patch $1A2F7 "I'm going home now,"
%patch $1A30C "Billy. Thanks for "
%patch $1A320 "saving the day.   "

%patch $1A333 "You bet! But next time  "
%patch $1A34D "please stay out of my   "
%patch $1A367 "Clubhouse. No one"
%patch $1A37A "is allowed in there"
%patch $1A38F "especially girls.    "
%patch $1A3A7 "                    "
%patch $1A3BD "          "

%patch $1A333 "You bet! But next time, "
%patch $1A34D "Molly, please stay out  "
%patch $1A367 "of my Clubhouse. "
%patch $1A37A "No one is allowed  "
%patch $1A38F "inside. Especially    "
%patch $1A3A7 "girls.              "
%patch $1A3BD "          "

%patch $1A3C9 "I was only looking"
%patch $1A3DD "for a good vacuum to    "
%patch $1A3F7 "clean the house. You  "
%patch $1A40F "had so many extra ones! "

%patch $1A429 "Oh Molly.."

%patch $1A434 "To be continued...."

%end