DECLARE SUB PRINTCOMMANDS ()
DECLARE SUB PATBYTE (inval AS INTEGER)
DECLARE SUB DOPATCH ()
DECLARE SUB DOMTL ()
DECLARE SUB EPDO (ep1 AS STRING, ep2 AS STRING, ep3 AS STRING)
DECLARE SUB MAKEMMS ()
DECLARE SUB ZLOOP ()

DIM SHARED sbt(0 TO 25) AS STRING ' Text strings for status box
DIM SHARED x0 AS STRING, y0 AS STRING, z0 AS STRING
DIM SHARED z1 AS STRING * 1
DIM SHARED z2 AS STRING * 2
DIM SHARED cmi AS INTEGER 'Current menu item being dealt with
DIM SHARED ep AS INTEGER ' Episode being used
DIM SHARED mml AS INTEGER ' Main menu number of items
DIM SHARED mmh AS INTEGER 'Menu box height
DIM SHARED mmw AS INTEGER 'Menu box width
DIM SHARED mtl AS INTEGER 'Total length of menu text (For space considerations)
DIM SHARED mi(1 TO 20) AS INTEGER ' Menu item value for purpose, 0 = blank
DIM SHARED mt(1 TO 20) AS STRING 'Main menu text
DIM SHARED mms AS STRING 'Main menu top\bottom lines
DIM SHARED mft AS STRING 'Menu footer text

'    ROFL:ROFL:LOL:ROFL:ROFL
'        ______/|\____
'  L    /          [] \
' LOL===_      ROFL    \_
'  L     \_______________]
'            I      I
'        /---------------/
' IF THIS CODE WORKS, LEVELLAS WROTE IT. IF IT DOESN'T, I DON:T KNOW WHO DID.


'#####################################
' Set up standard values for things
'#####################################
z1 = CHR$(34)
z2 = CHR$(13) + CHR$(10)
ep = 1
mmh = 3
mmw = 10
cmi = 1
mml = 1
mi(1) = 1
mt(1) = "   ???"
mft = "Use the "
MAKEMMS
PRINTCOMMANDS

'#####################################
' First menu, display main menu as-is
'#####################################
1 CLS
DOMTL
y0 = "BLANK"
PRINT ""
PRINT "Current episode:"; ep; " Text space remaining:"; mtl
PRINT ""
PRINT ""
PRINT mms
FOR t = 2 TO mmh + 1
 IF t = mml + 3 THEN
  PRINT "   ";
  IF LEN(mft) < mmw THEN z0 = SPACE$(mmw - LEN(mft)) ELSE z0 = ""
  PRINT "|"; mft; z0; "|  *Footer text"
 ELSEIF t - 1 > mml THEN
  PRINT "   |"; SPACE$(mmw); "|"
 ELSE
  IF t = cmi + 1 THEN PRINT " * ";  ELSE PRINT "   ";
  IF LEN(mt(t - 1)) < mmw THEN z0 = SPACE$(mmw - LEN(mt(t - 1))) ELSE z0 = ""
  PRINT "|"; mt(t - 1); z0; "|";
  RESTORE 200
   FOR t2 = 0 TO mi(t - 1)
    READ x0
    IF t = cmi + 1 THEN y0 = x0
   NEXT t2
  PRINT "  *"; x0
 END IF
NEXT t
PRINT mms
ZLOOP
SELECT CASE UCASE$(x0)
CASE CHR$(0) ' Delete an item
 IF mml > 1 THEN
  FOR t2 = cmi TO mml - 1
   mi(t2) = mi(t2 + 1)
   mt(t2) = mt(t2 + 1)
  NEXT t2
  mi(cmi) = 0
  mt(cmi) = ""
  mml = mml - 1
  IF cmi > mml THEN cmii = mml
 END IF
CASE "N", CHR$(1) ' Insert
 IF mml < 20 THEN
  FOR t2 = mml + 1 TO cmi + 1 STEP -1
   mi(t2) = mi(t2 - 1)
   mt(t2) = mt(t2 - 1)
  NEXT t2
  mi(cmi + 1) = 0
  mt(cmi + 1) = "   ???"
  mml = mml + 1
 END IF
CASE CHR$(13) 'Enter, alter text
 PRINT ""
 INPUT "Enter new text for menu item:"; mt(cmi)
 mt(cmi) = "   " + mt(cmi)
 IF LEN(mt(cmi)) > 20 THEN mt(cmi) = LEFT$(mt(cmi), 20)
CASE "F" 'F, alter footer text
 PRINT ""
 INPUT "Enter new text for window footer:"; mft
 IF LEN(mft) > 20 THEN mft = LEFT$(mft, 20)
CASE " " 'Space, increment menu item
 mi(cmi) = mi(cmi) + 1
 IF mi(cmi) > 9 THEN mi(cmi) = 1
CASE "^" ' Up arrow
 IF cmi > 1 THEN cmi = cmi - 1
CASE "V" 'Down arrow
 IF cmi < mml THEN cmi = cmi + 1
CASE "<", "," ' Left arrow
 IF mmw > 4 THEN mmw = mmw - 1
 MAKEMMS
CASE ">", "." ' Right arrow
 IF mmw < 32 THEN mmw = mmw + 1
 MAKEMMS
CASE "+", "=" ' Inc
 IF mmh < 32 THEN mmh = mmh + 1
CASE "-", "_" 'Dec
 IF mmh > 5 THEN mmh = mmh - 1
CASE "P" ' Patch
 DOPATCH
CASE "Q", CHR$(27) 'Quit
 END
CASE "H" ' Help
 PRINTCOMMANDS
CASE "E" ' Change episode
PRINT ""
3 INPUT "Patch what episode, 1-3"; ep
 IF ep = 0 THEN GOTO 3
 IF ep > 3 THEN GOTO 3
CASE "D" 'Load default data
 mmh = 10
 mmw = 18
 mml = 8
 RESTORE 204
 FOR t = 1 TO 8
  READ x0
  mi(t) = t
  mt(t) = x0
 NEXT t
 FOR t = 9 TO 20
  mi(t) = 0
  mt(t) = ""
 NEXT t
 mft = "Use the "
 MAKEMMS
CASE "S"
 PRINT ""
 INPUT "Save menu as:"; x0
 x0 = UCASE$(x0) + ".BIN"
 OPEN x0 FOR OUTPUT AS #1
 CLOSE
 OPEN x0 FOR BINARY AS #1
 x0 = CHR$(ep) + CHR$(mmh) + CHR$(mmw) + CHR$(mml)
 FOR t = 1 TO 20
  x0 = x0 + CHR$(mi(t))
 NEXT t
 FOR t = 1 TO mml
  x0 = x0 + mt(t) + CHR$(10)
 NEXT t
  x0 = x0 + mft
 PUT #1, 1, x0
 CLOSE
CASE "L"
 PRINT ""
 INPUT "Load what menu file:"; x0
 x0 = UCASE$(x0) + ".BIN"
 OPEN x0 FOR BINARY AS #1
 IF LOF(1) = 0 THEN
  CLOSE
  KILL x0
  PRINT "That file does not exist!"
  ZLOOP
 END IF
 x0 = SPACE$(LOF(1))
 GET #1, 1, x0
 CLOSE
 FOR t = 1 TO 20
  mt(t) = ""
 NEXT t
 ep = ASC(LEFT$(x0, 1))
 mmh = ASC(MID$(x0, 2, 1))
 mmw = ASC(MID$(x0, 3, 1))
 mml = ASC(MID$(x0, 4, 1))
 FOR t = 1 TO 20
  mi(t) = ASC(MID$(x0, t + 4, 1))
 NEXT t
 t = 1
 FOR t2 = 25 TO LEN(x0)
  IF ASC(MID$(x0, t2, 1)) = 10 THEN t = t + 1 ELSE mt(t) = mt(t) + MID$(x0, t2, 1)
  IF t > mml THEN EXIT FOR
 NEXT t2
 mft = RIGHT$(x0, LEN(x0) - t2)
 MAKEMMS
END SELECT
GOTO 1



'#####################################
'Data seg
'#####################################
200 DATA "BLANK", "New game", "Load game", "Story", "About Id", "Scores", "Order Inf", "Previews", "Demo", "Nothing", "BLANK!"
201 DATA "95CA", "9570", "9577", "957F", "9589", "9596", "95A3", "95B5", "95C2", "95CA"
202 DATA "905D", "9003", "900A", "9012", "901C", "9029", "9036", "9048", "9055", "905D"
203 DATA "9EB6", "9E4F", "9E56", "9E5E", "9E68", "9E78", "9E88", "9E9C", "9EAC", "9EB6"
204 DATA "   New Game", "   Continue Game", "   Story", "   About ID...",  "   High Scores", "   Ordering Info", "   Previews!", "   Restart Demo"

'#####################################
SUB DOMTL ' Calculate menu text length space remaining
'#####################################
IF ep = 1 THEN mtl = 151 ELSE mtl = 131
FOR t = 1 TO mml
 mtl = mtl - LEN(mt(t)) - 1
NEXT t
mtl = mtl - LEN(mft) - 1
END SUB

'#####################################
SUB DOPATCH 'Write a patch file
'#####################################
PRINT "Writing patch file..."
OPEN "PATCH.TXT" FOR OUTPUT AS #1
PRINT #1, "%ext ck";
EPDO "1", "2", "3"
PRINT #1, ""; z2; z2
PRINT #1, "#Versatile Main Menu patch:"
PRINT #1, "#Main Menu size"; z2; "%patch $";
EPDO "9601", "9094", "9EF0"
PATBYTE mmh
PRINT #1, "#Height"; z2; "%patch $";
EPDO "9605", "9098", "9EF4"
PATBYTE mmw
PRINT #1, "#Width"
IF mml <> 8 THEN
 PRINT #1, ; z2; "#Number of menu items"; z2; "%patch $";
 EPDO "9414", "8EA7", "9CF6"
 PATBYTE mml - 1
 PRINT #1, z2; "%patch $";
 EPDO "938F", "8E22", "9C72"
 PATBYTE mml - 1
 PRINT #1, z2; "%patch $";
 EPDO "95CD", "9060", "9EB9"
 PATBYTE mml - 1
END IF
PRINT #1, z2; z2; "#Menu pointers (What items DO)"; z2; "%patch $";
IF mml > 8 THEN
 EPDO "956E", "9001", "9E4D"
 PRINT #1, " $";
 EPDO "962F", "90C2", "9F1C"
 PRINT #1, "W #List location"; z2; "%patch $";
 EPDO "962F", "90C2", "9F1C"
ELSE
 EPDO "95ED", "9080", "9EDC"
END IF
FOR t = 1 TO mml
 IF ep = 1 THEN RESTORE 201
 IF ep = 2 THEN RESTORE 202
 IF ep = 3 THEN RESTORE 203
 FOR t2 = 0 TO mi(t)
  READ x0
 NEXT t2
 RESTORE 200
 FOR t2 = 0 TO mi(t)
  READ y0
 NEXT t2
 IF t > 1 THEN PRINT #1, "            ";
 PRINT #1, " $"; x0; "W #"; y0; CHR$(9); " '"; mt(t); "'"
NEXT t
PRINT #1, ""; z2; "#Simple Main Menu text patch"; z2; "%patch $";
IF ep = 1 THEN
 PRINT #1, "9625 $27D8W  $50 $E8 $CCA7W  $44 $44 $EB $46"
ELSEIF ep = 2 THEN
 PRINT #1, "90B8 $2F39W  $50 $E8 $97E7W  $44 $44 $EB $46"
ELSE
 PRINT #1, "9F13 $2FB5W  $50 $E8 $892AW  $59 $EB $3E"
END IF
PRINT #1, ""
PRINT #1, "#Menu text"; z2; "%patch $";
EPDO "15828", "1A6B9", "1C7D5"
FOR t = 1 TO mml
 IF t > 1 THEN PRINT #1, "             ";
 PRINT #1, " "; z1; mt(t); z1; " $0A";
 IF t = mml THEN PRINT #1, " $0A" ELSE PRINT #1, ""
NEXT t
PRINT #1, "              "; z1; mft; z1; " $00"
PRINT #1, ""
PRINT #1, "%end"
CLOSE
END SUB

'#####################################
SUB EPDO (ep1 AS STRING, ep2 AS STRING, ep3 AS STRING) ' Patch something different depending on episode
'#####################################
IF ep = 1 THEN PRINT #1, ep1;
IF ep = 2 THEN PRINT #1, ep2;
IF ep = 3 THEN PRINT #1, ep3;
END SUB

'#####################################
SUB MAKEMMS 'Make the main menu string
'#####################################
mms = "   X" + STRING$(mmw, "-") + "X"
END SUB

'#####################################
SUB PATBYTE (inval AS INTEGER) ' Convert and print a value as $xxxxW
'#####################################
x0 = HEX$(inval)
IF inval < 16 THEN x0 = "0" + x0
PRINT #1, " $"; x0; " ";
END SUB

'#####################################
SUB PRINTCOMMANDS ' Print the commands user can use
'#####################################
CLS
PRINT ""
PRINT "[Enter]:   Alter item text     [Space]: Alter item function"
PRINT "N\Ins:     Add new item        Del:       Delete current item"
PRINT "+\-:       Inc\dec menu size   <>:      Inc\dec menu width"
PRINT "L:         Load new project    S:       Save current project"
PRINT "F:         Edit footer text    H:       Bring up this window"
PRINT "D:         Load default menu   E:       Change episode"
PRINT "Q\Esc:     Quit without patch  P:       Write patch file"
PRINT ""
PRINT "PRESS ANY KEY TO CONTINUE"
ZLOOP
END SUB

'#####################################
SUB ZLOOP 'Wait for a key
'#####################################
x0 = ""
DO WHILE x0 = ""
 x0 = INKEY$
LOOP
IF LEN(x0) > 1 THEN
 x0 = RIGHT$(x0, 1)
 IF ASC(x0) = 72 THEN x0 = "^" ' Up arrow
 IF ASC(x0) = 80 THEN x0 = "v" ' Down arrow
 IF ASC(x0) = 75 THEN x0 = "<" ' Left arrow
 IF ASC(x0) = 77 THEN x0 = ">" 'Right arrow
 IF ASC(x0) = 83 THEN x0 = CHR$(0) ' Del
 IF ASC(x0) = 82 THEN x0 = CHR$(1) 'Ins
END IF
END SUB

